searchData={"items":[{"type":"module","title":"MoonAssets","doc":"[![Hex.pm](https://img.shields.io/hexpm/v/moon_assets)](https://hex.pm/packages/moon_assets)\n[![Hexdocs.pm](https://img.shields.io/badge/docs-hexdocs.pm-purple)](https://hexdocs.pm/moon_assets)\n\n# MoonAssets\n\nMoon Assets is a HEX package that serves icons and assets for Phoenix projects built with TailwindCSS.","ref":"MoonAssets.html"},{"type":"module","title":"Installation - MoonAssets","doc":"The package can be installed by adding `moon_assets` to your list of dependencies in a `mix.exs` file:\n\n```\ndef deps do\n  [\n    {:moon_assets, \"~> 0.3\"}\n  ]\nend\n```\n\nInstall `moon_assets` dependency:\n\n```\nmix deps.get\n```\n\nAdd a required `moon-assets-preset` preset to a `tailwind.config.js` file. Replace `PATH_TO_DEPS_FOLDER` with the actual `deps` folder path.\n\n```\nmodule.exports = {\n  presets: [\n    require(\"PATH_TO_DEPS_FOLDER/moon_assets/lib/moon-assets-preset\"),\n  ],\n};\n```\n\nDefine an `icon` function in a `core_components.ex` file with a `\"moon-\"` pattern match. You may define another `icon` function with different pattern matches, in case you need it.\n\n```\nattr :name, :string, required: true\nattr :class, :string, default: nil\nattr :rest, :global\n\ndef icon(%{name: \"moon-\" <> _} = assigns) do\n  ~H\"\"\"\n   \n  \"\"\"\nend\n```","ref":"MoonAssets.html#module-installation"},{"type":"module","title":"Basic usage - MoonAssets","doc":"To use an `icon` component, specify a `name` attribute where `moon-` is required by TailwindCSS to properly identify a necessary icon and generate a class in your app's CSS file.\n\n```\n<.icon name=\"moon-adventure\" />\n```","ref":"MoonAssets.html#module-basic-usage"},{"type":"module","title":"Customization - MoonAssets","doc":"To additionally style an icon add `class` attribute. Use `text-COLOR` utility class for changing icon color, and `size-XX` utility class for specifying width and height of an icon.\n\n```\n<.icon name=\"moon-adventure\" class=\"text-chichi\" />\n<.icon name=\"moon-adventure\" class=\"size-6\" />\n```","ref":"MoonAssets.html#module-customization"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}